import { http } from '@/utils/http'

// 经营概况-支付明细
export const getPaymentCount = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/paymentdtails/getPaymentCount',
    data,
  })
}

// 经营概况-收入明细
export const getRevenueCount = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/revenuedetails/getRevenueCount',
    data,
  })
}

// 支付明细新增
export const addPaymentDetails = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/paymentdtails/addPaymentDetails',
    data,
  })
}

// 收入明细新增
export const addRevenueDes = (data: any) => {
  return http({
    method: 'POST',
    url: '/api/recategory/addRevenueDes',
    data,
  })
}

// 分页查询支付明细
export const getPaymentDetailsPage = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/paymentdtails/getPaymentDetailsPage',
    data,
  })
}
// 支付明细-查看详情
export const getByPaymentId = (data: any) => {
  return http({
    method: 'GET',
    url: '/api/paymentdtails/getByPaymentId',
    data,
  })
}